Bug 461984 - [fix available] Cannot use -headless with wrapper scripts, must use .bin executables directly
[fix available] Cannot use -headless with wrapper scripts, must use .bin exec...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-11 14:18 EDT by Orion Poplawski
Modified: 2009-09-02 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:08:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-09-11 14:18:49 EDT
Description of problem:

# ooffice -headless
/usr/lib64/openoffice.org/program/soffice.bin X11 error: Can't open display:
   Set DISPLAY environment variable, use -display option
   or check permissions of your X-Server
   (See "man X" resp. "man xhost" for details)
#

Installed Packages
openoffice.org-core.x86_64               1:2.3.0-6.5.2.el5_2    installed
openoffice.org-headless.x86_64           1:2.3.0-6.5.2.el5_2    installed
openoffice.org-writer.x86_64             1:2.3.0-6.5.2.el5_2    installed     

/usr/lib64/openoffice.org/program/soffice.bin -headless 

appears to work....


This (in /usr/lib64/openoffice.org/program/soffice) :

export SAL_USE_VCLPLUGIN=gtk

appears to be the culprit.

[root@alfresco ~]# export SAL_USE_VCLPLUGIN=gtk
[root@alfresco ~]# /usr/lib64/openoffice.org/program/soffice.bin -headless/usr/lib64/openoffice.org/program/soffice.bin X11 error: Can't open display:
   Set DISPLAY environment variable, use -display option
   or check permissions of your X-Server
   (See "man X" resp. "man xhost" for details)
Comment 1 Caolan McNamara 2008-09-11 17:25:29 EDT
True, a bit of a holdover from original RHEL-5.0 where there was no headless and so that particular tweak to prefer "gtk" over "gen" regardless of the desktop environment was perfectly ok. Now that -headless is available, the right fix is the one in devel which uses a different technique to do that (devel patch openoffice.org-2.4.0.rh133741.alwaysgtk.vcl.patch), we should stick that in on a future spin

You've found the workaround for yourself in the meantime :-)
Comment 2 Caolan McNamara 2009-03-12 05:48:59 EDT
checked in for >= 2.3.0-6.11
Comment 6 errata-xmlrpc 2009-09-02 05:08:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1248.html

Note You need to log in before you can comment on or make changes to this bug.